Skip to main content
POST
/
security_filter
Build a security filter
import requests

url = "https://{FUSION HOST}/api/security_filter"

payload = {
    "userId": "<string>",
    "permissions": [
        {
            "methods": [],
            "path": "<string>",
            "params": {}
        }
    ],
    "roles": ["<string>"],
    "realm": {
        "type": "<string>",
        "name": "<string>",
        "principal": "<string>",
        "data": {}
    },
    "principal": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/security_filter")
.header("Content-Type", "application/json")
.body("{\n \"userId\": \"<string>\",\n \"permissions\": [\n {\n \"methods\": [],\n \"path\": \"<string>\",\n \"params\": {}\n }\n ],\n \"roles\": [\n \"<string>\"\n ],\n \"realm\": {\n \"type\": \"<string>\",\n \"name\": \"<string>\",\n \"principal\": \"<string>\",\n \"data\": {}\n },\n \"principal\": \"<string>\"\n}")
.asString();
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
permissions: [{methods: [], path: '<string>', params: {}}],
roles: ['<string>'],
realm: {type: '<string>', name: '<string>', principal: '<string>', data: {}},
principal: '<string>'
})
};

fetch('https://{FUSION HOST}/api/security_filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/security_filter")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"userId\": \"<string>\",\n \"permissions\": [\n {\n \"methods\": [],\n \"path\": \"<string>\",\n \"params\": {}\n }\n ],\n \"roles\": [\n \"<string>\"\n ],\n \"realm\": {\n \"type\": \"<string>\",\n \"name\": \"<string>\",\n \"principal\": \"<string>\",\n \"data\": {}\n },\n \"principal\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/security_filter"

payload := strings.NewReader("{\n \"userId\": \"<string>\",\n \"permissions\": [\n {\n \"methods\": [],\n \"path\": \"<string>\",\n \"params\": {}\n }\n ],\n \"roles\": [\n \"<string>\"\n ],\n \"realm\": {\n \"type\": \"<string>\",\n \"name\": \"<string>\",\n \"principal\": \"<string>\",\n \"data\": {}\n },\n \"principal\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/security_filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userId' => '<string>',
'permissions' => [
[
'methods' => [

],
'path' => '<string>',
'params' => [

]
]
],
'roles' => [
'<string>'
],
'realm' => [
'type' => '<string>',
'name' => '<string>',
'principal' => '<string>',
'data' => [

]
],
'principal' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION HOST}/api/security_filter \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"permissions": [
{
"methods": [],
"path": "<string>",
"params": {}
}
],
"roles": [
"<string>"
],
"realm": {
"type": "<string>",
"name": "<string>",
"principal": "<string>",
"data": {}
},
"principal": "<string>"
}
'
{
  "filter": "<string>",
  "nestedClauses": {}
}

Query Parameters

collections
string[]
required

A list of collection names. Security filters will be built for connector configurations linked to these collections.

configIds
string[]

Optional list of specific connector configuration IDs to build filters for. If omitted, filters are built for all configurations.

Body

application/json
userId
string
permissions
object[]
roles
string[]
realm
object
principal
string

Response

200 - application/json

Successfully built a security filter.

filter
string
nestedClauses
object